## GMimeFilterEnriched GMimeFilterEnriched — Convert text/enriched or text/rtf to HTML |

## Functions

#define | GMIME_FILTER_ENRICHED_IS_RICHTEXT
GMimeFilter * | g_mime_filter_enriched_new ()

## Types and Values

struct | GMimeFilterEnriched

## Description

A GMimeFilter used for converting text/enriched or text/rtf to HTML.

## Functions

### GMIME_FILTER_ENRICHED_IS_RICHTEXT

    #define GMIME_FILTER_ENRICHED_IS_RICHTEXT  (1 << 0)

A bit flag for `g_mime_filter_enriched_new()` which signifies that the filter should expect Rich Text (aka RTF).

### g_mime_filter_enriched_new ()

    GMimeFilter *
    g_mime_filter_enriched_new (guint32 flags);

Creates a new GMimeFilterEnriched object.

#### Parameters

flags | flags |

#### Returns

a new GMimeFilter object.

## Types and Values

### struct GMimeFilterEnriched

    struct GMimeFilterEnriched {
    	GMimeFilter parent_object;

    	guint32 flags;
    	int nofill;
    };

A filter for converting text/enriched or text/richtext textual streams into text/html.

#### Members

GMimeFilter `parent_object`; | parent GMimeFilter |
guint32 `flags`; | bit flags |
int `nofill`; | nofill tag state |

## See Also

GMimeFilter